mia-3dimagefilterstack
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dimagefilterstack

#### Sysnopis:

`mia-3dimagefilterstack` {-i `io`} {-o `io`} {-t `set`} [ `options` ...] [ `Plugin type: 3dimage/filter` ...]

#### Description:

This program is used to filter and convert a consecutive numbered series gray of scale images. File names must follow the pattern 'dataXXXX.v' (X being digits), i.e. the numbering comes right before the dot.

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 3dimage/io

-o, --out-file=(output, required); io

  output file name base, numbers are added accorfing to the input file pattern, and the file extension is added according to the 'type' option.. For supported file types see Plugin type: 3dimage/io

-t, --type=(required); set

  output file type Supported values are:(analyze, datapool, dicom, hdf5, inria, mhd, nifti, vff, vista, vti, vtk, )

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a mean-least-varaiance filter on a series of images that follow the numbering pattern imageXXXX.hdr and store the output in images filteredXXXX.hdr

    mia-3dimagefilterstack -i image0000.hdr -o filtered -t hdr mlv:w=2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dimagefilter | Home | mia-3dimagestatistics-in-mask